name: base
version: 4.8.2.0
id: base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
key: base_HQfYBxpPvuw8OunzQu6JGM
license: BSD3
maintainer: libraries@haskell.org
synopsis: Basic libraries
description:
    This package contains the "Prelude" and its support libraries,
    and a large collection of useful libraries ranging from data
    structures to parsing combinators and debugging utilities.
category: Prelude
exposed: True
exposed-modules:
    Control.Applicative Control.Arrow Control.Category
    Control.Concurrent Control.Concurrent.Chan Control.Concurrent.MVar
    Control.Concurrent.QSem Control.Concurrent.QSemN Control.Exception
    Control.Exception.Base Control.Monad Control.Monad.Fix
    Control.Monad.Instances Control.Monad.ST Control.Monad.ST.Lazy
    Control.Monad.ST.Lazy.Safe Control.Monad.ST.Lazy.Unsafe
    Control.Monad.ST.Safe Control.Monad.ST.Strict
    Control.Monad.ST.Unsafe Control.Monad.Zip Data.Bifunctor Data.Bits
    Data.Bool Data.Char Data.Coerce Data.Complex Data.Data Data.Dynamic
    Data.Either Data.Eq Data.Fixed Data.Foldable Data.Function
    Data.Functor Data.Functor.Identity Data.IORef Data.Int Data.Ix
    Data.List Data.Maybe Data.Monoid Data.Ord Data.Proxy Data.Ratio
    Data.STRef Data.STRef.Lazy Data.STRef.Strict Data.String
    Data.Traversable Data.Tuple Data.Type.Bool Data.Type.Coercion
    Data.Type.Equality Data.Typeable Data.Typeable.Internal Data.Unique
    Data.Version Data.Void Data.Word Debug.Trace Foreign Foreign.C
    Foreign.C.Error Foreign.C.String Foreign.C.Types Foreign.Concurrent
    Foreign.ForeignPtr Foreign.ForeignPtr.Safe
    Foreign.ForeignPtr.Unsafe Foreign.Marshal Foreign.Marshal.Alloc
    Foreign.Marshal.Array Foreign.Marshal.Error Foreign.Marshal.Pool
    Foreign.Marshal.Safe Foreign.Marshal.Unsafe Foreign.Marshal.Utils
    Foreign.Ptr Foreign.Safe Foreign.StablePtr Foreign.Storable GHC.Arr
    GHC.Base GHC.Char GHC.Conc GHC.Conc.IO GHC.Conc.Signal
    GHC.Conc.Sync GHC.ConsoleHandler GHC.Constants GHC.Desugar GHC.Enum
    GHC.Environment GHC.Err GHC.Exception GHC.Exts GHC.Fingerprint
    GHC.Fingerprint.Type GHC.Float GHC.Float.ConversionUtils
    GHC.Float.RealFracMethods GHC.Foreign GHC.ForeignPtr GHC.GHCi
    GHC.Generics GHC.IO GHC.IO.Buffer GHC.IO.BufferedIO GHC.IO.Device
    GHC.IO.Encoding GHC.IO.Encoding.CodePage GHC.IO.Encoding.Failure
    GHC.IO.Encoding.Iconv GHC.IO.Encoding.Latin1 GHC.IO.Encoding.Types
    GHC.IO.Encoding.UTF16 GHC.IO.Encoding.UTF32 GHC.IO.Encoding.UTF8
    GHC.IO.Exception GHC.IO.FD GHC.IO.Handle GHC.IO.Handle.FD
    GHC.IO.Handle.Internals GHC.IO.Handle.Text GHC.IO.Handle.Types
    GHC.IO.IOMode GHC.IOArray GHC.IORef GHC.IP GHC.Int GHC.List
    GHC.MVar GHC.Natural GHC.Num GHC.OldList GHC.PArr GHC.Pack
    GHC.Profiling GHC.Ptr GHC.Read GHC.Real GHC.RTS.Flags GHC.ST
    GHC.StaticPtr GHC.STRef GHC.Show GHC.SrcLoc GHC.Stable GHC.Stack
    GHC.Stats GHC.Storable GHC.TopHandler GHC.TypeLits GHC.Unicode
    GHC.Weak GHC.Word Numeric Numeric.Natural Prelude System.CPUTime
    System.Console.GetOpt System.Environment System.Exit System.IO
    System.IO.Error System.IO.Unsafe System.Info System.Mem
    System.Mem.StableName System.Mem.Weak System.Posix.Internals
    System.Posix.Types System.Timeout Text.ParserCombinators.ReadP
    Text.ParserCombinators.ReadPrec Text.Printf Text.Read Text.Read.Lex
    Text.Show Text.Show.Functions Unsafe.Coerce GHC.Event
hidden-modules: Control.Monad.ST.Imp Control.Monad.ST.Lazy.Imp
                Data.OldList Foreign.ForeignPtr.Imp
                System.Environment.ExecutablePath GHC.Event.Arr GHC.Event.Array
                GHC.Event.Clock GHC.Event.Control GHC.Event.EPoll
                GHC.Event.IntTable GHC.Event.Internal GHC.Event.KQueue
                GHC.Event.Manager GHC.Event.PSQ GHC.Event.Poll GHC.Event.Thread
                GHC.Event.TimerManager GHC.Event.Unique
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/base_HQfYBxpPvuw8OunzQu6JGM
library-dirs: /usr/lib/ghc-7.10.3/base_HQfYBxpPvuw8OunzQu6JGM
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/base-4.8.2.0
hs-libraries: HSbase-4.8.2.0-HQfYBxpPvuw8OunzQu6JGM
include-dirs: /usr/lib/ghc-7.10.3/base_HQfYBxpPvuw8OunzQu6JGM/include
includes:
    HsBase.h
depends:
    builtin_rts ghc-prim-0.4.0.0-6cdc86811872333585fa98756aa7c51e
    integer-gmp-1.0.0.0-3c8c40657a9870f5c33be17496806d8d
haddock-interfaces: /usr/share/doc/ghc/html/libraries/base-4.8.2.0/base.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/base-4.8.2.0
